Bug 1937997 - ceph-ansible fails on RHOS 16.1.3 with msg: 'dict object' has no attribute 'mons' when using Manila with Ganesha and external Ceph
Summary: ceph-ansible fails on RHOS 16.1.3 with msg: 'dict object' has no attribute 'm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 4.2z1
Assignee: Guillaume Abrioux
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
: 1937996 (view as bug list)
Depends On:
Blocks: 1760354
TreeView+ depends on / blocked
 
Reported: 2021-03-11 21:27 UTC by Ladislav Jozsa
Modified: 2021-04-28 20:13 UTC (History)
24 users (show)

Fixed In Version: ceph-ansible-4.0.49.2-1.el8cp, ceph-ansible-4.0.49.2-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-28 20:13:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 6346 0 None open facts: fix nfs/external cluster scenario 2021-03-16 13:14:43 UTC
Red Hat Product Errata RHSA-2021:1452 0 None None None 2021-04-28 20:13:53 UTC

Comment 2 Giulio Fidente 2021-03-12 10:08:35 UTC
It looks to me that this line [1] doesn't work in the scenario in which only ceph-nfs is being deployed (nfss) together with the client role (clients) but external cluster

1. https://github.com/ceph/ceph-ansible/blob/v4.0.41/roles/ceph-facts/tasks/facts.yml#L254

Comment 7 Guillaume Abrioux 2021-03-22 13:26:17 UTC
*** Bug 1937996 has been marked as a duplicate of this bug. ***

Comment 33 errata-xmlrpc 2021-04-28 20:13:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage security, bug fix, and enhancement Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1452


Note You need to log in before you can comment on or make changes to this bug.